package speiger.src.coreengine.rendering.tesselation;

import speiger.src.coreengine.math.vector.floats.Vec4f;

public class GLCall {
	int type;
	int count;
	int texture;
	Vec4f frame = Vec4f.mutable();
	float roundedNess = 0F;
	
	public GLCall() {}
	
	public GLCall setCount(int count) {
		this.count = count;
		return this;
	}
	
	public GLCall setType(int type) {
		this.type = type;
		return this;
	}
	
	public GLCall setTexture(int texture) {
		this.texture = texture;
		return this;
	}
	
	public GLCall setFrame(Vec4f frame) {
		this.frame.set(frame);
		return this;
	}
	
	public GLCall setRounded(float roundedNess) {
		this.roundedNess = roundedNess;
		return this;
	}
	
	public int getCount() { return count; }
	public int getType() { return type; }
	public int getTexture() { return texture; }
	public Vec4f getFrame() { return frame; }
	public float getRoundedNess() { return roundedNess; }
	
	@Override
	public String toString() {
		return "Call[Texture="+texture+", Type="+type+", Count="+count+"]";
	}
}
